body {
  background-image:       
    url('../img/bg_lines.svg'),
    url('../img/bg.svg');
  background-position: 
    left 0px top 80px,
    left -10px top -10px;
  background-size: 110%;
  background-attachment: fixed;
  background-repeat: no-repeat;  
  font-family: "Nunito";
  height: 100%;
  margin: 0;
  overflow-y: hidden;
}

.grid-container {
  display: grid;
  grid-template-columns: 0.00fr 2fr;
  grid-template-rows: 0.3fr 1.3fr 0.4fr;
  gap: 5px 5px;
  grid-template-areas:
    "left-side-panel header"
    "left-side-panel content"
    "left-side-panel footer";
}

.content {
  grid-area: content;
}

.footer {
  grid-area: footer;
}

.product-filter-animation-in {
  animation-name: product-filter-animation-in;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
}

.product-filter-animation-out {
  animation-name: product-filter-animation-out;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
}

.default-margin-left {
  margin-left: 60px;
}

.header {
  grid-area: header;
  padding: 0px 80px 0px 80px;  
}

.left-side-panel-in {  
  grid-area: left-side-panel;
  color: white;
  background-color: black;
  background-color:rgba(0, 0, 0, 0.5);
  padding: 5px;
  border-top-right-radius: 20px;
  border-bottom-right-radius: 20px;
  padding: 30px;
  position: fixed;
  top: 0px;
  left: -250px;
  height: 100%;
  animation-name: filter-in;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
}

.left-side-panel-out {  
  grid-area: left-side-panel;
  color: white;
  background-color: black;
  background-color:rgba(0, 0, 0, 0.5);
  padding: 5px;
  border-top-right-radius: 20px;
  border-bottom-right-radius: 20px;
  padding: 30px;
  position: fixed;
  left: 0px;
  top: 0px;
  height: 100%;  
  animation-name: filter-out;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
}

.right-side-panel-in { 
  grid-area: right-side-panel;
  color: white;
  background-color: black;
  background-color:rgba(0, 0, 0, 0.5);
  padding: 5px;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
  padding: 20px;
  position: fixed;
  top: 0px;
  height: 100%;
  animation-name: bag-in;

  animation-duration: 0.5s;
  animation-fill-mode: forwards;
}

.right-side-panel-out { 
  grid-area: right-side-panel;
  color: white;
  background-color: black;
  background-color:rgba(0, 0, 0, 0.5);
  padding: 5px;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
  padding: 20px;
  position: fixed;
  top: 0px;
  height: 100%;
  animation-name: bag-out;
  animation-duration: 0.75s;
  animation-fill-mode: forwards;
}

.product {
  float: left; 
  width: 340px;
  height: 190px;
  border: 2px solid #6df3fe;
  border-radius: 20px;
}

.product:hover {
  /* animation-name: product-hover;
  animation-duration: 0.3s; */
}

.checkbox-checked {
  width: 18px;
  height: 18px;
  background-image: url('../img/checkbox_filled.svg');
  background-size: 18px 18px;
  background-repeat: no-repeat;
  background-position: center;
  margin-top: 4px;
}

.checkbox-unchecked {
  width: 18px;
  height: 18px;
  background-image: url('../img/checkbox_empty.svg');
  background-size: 18px 18px;
  background-repeat: no-repeat;
  background-position: center;
  margin-top: 4px;
}

.centered {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.center-x {
  text-align: center;
}

.center-y {
  line-height: 0;
  display: inline-block;
  vertical-align: middle;
}

.header-animation-1 {  
  overflow: hidden;
  white-space:nowrap;
  overflow:hidden;
  animation:
    header-animation-1 3s     
    steps(22,end) forwards,
    blink 1s infinite;
}

.header-animation-2 { 
  overflow: hidden;
  white-space:nowrap;
  overflow:hidden; 
  animation:
    header-animation-2 3s     
    steps(22,end) forwards,
    blink 1s infinite;
}

.header-animation-3 { 
  overflow: hidden;
  white-space:nowrap;
  overflow:hidden; 
  animation:
    header-animation-3 3s     
    steps(22,end) forwards,
    blink 1s infinite;
}

.header-animation-4 { 
  overflow: hidden;
  white-space:nowrap;
  overflow:hidden; 
  animation:
    header-animation-4 3s     
    steps(22,end) forwards,
    blink 1s infinite;
}

@keyframes header-animation-1 {
  0% {width: 0px;}
  20% {width: 85px;}
  80% {width: 85px;}
  100% {width: 0px;}
}

@keyframes header-animation-2 {
  0% {width: 0px;}
  20% {width: 90px;}
  80% {width: 90px;}
  100% {width: 0px;}
}

@keyframes header-animation-3 {
  0% {width: 0px;}
  20% {width: 65px;}
  80% {width: 65px;}
  100% {width: 0px;}
}

@keyframes header-animation-4 {
  0% {width: 0px;}
  20% {width: 67px;}
  80% {width: 67px;}
  100% {width: 0px;}
}

@keyframes blink {
  0%,100% {
    border-right:2px solid transparent;
  }
  50% {
    border-right:2px solid white;
  }
}

.btn-zistit-vice {
  color: white;
  background-color:rgba(0, 0, 0, 0);
  padding: 3px 10px 3px 10px;
  border: 2px solid white;
  font-size: 12px;
  font-weight: 800;
  width: 47%;
  border-radius: 5px;
}

.btn-chci-to {  
  color: black;
  border: 0px;
  padding: 5px 12px 5px 12px;
  font-size: 12px;
  font-weight: 800;
  width: 45%;
  border-radius: 5px;
}

.btn-pozadat-o-consultaci {  
  color: black;
  border: 0px;
  padding: 5px 12px 5px 12px;
  font-size: 12px;
  font-weight: 800;
  width: 100;
  border-radius: 5px;
}

.btn-bg-color-active {
  background-image: url('../img/badge.svg');
  background-repeat: no-repeat;
  background-size: 120%;
  background-position: center;
  /* background-color: #31d3ff; */
}

.btn-bg-color-default {
  background-color: white;
}

.text-color-default {
  color: white;
}

.text-color-default {
  color: #33d4ff;
}

@keyframes filter-in {
  from { left: 0px; }
  to { left: -140px; }
}

@keyframes filter-out {
  from { left: -140px; }
  to { left: 0; }
}

@keyframes bag-in {
  from { right: 0px; }
  to { right: -250px; }
}

@keyframes bag-out {
  from { right: -250px; }
  to { right: 0; }
}

@keyframes product-filter-animation-in {
  from { margin-left: 210px; }
  to { margin-left: 65px; }
}

@keyframes product-filter-animation-out {
  from { margin-left: 65px; }
  to { margin-left: 210px; }  
}

@keyframes product-hover {
  33%   {transform: rotate(-1deg)}
  66%  {transform: rotate(2deg)}
  100%   {transform: rotate(-1deg)}
}

.filter-content-show {
  animation-name: filter-content-show;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
}

@keyframes filter-content-show {
  0% { opacity: 0; }
  100% { opacity: 1; }
}

.filter-content-hide {
  animation-name: filter-content-hide;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
}

@keyframes filter-content-hide {
  0% { opacity: 1; }
  100% { opacity: 0; }
}

.rotate-arrow-180 {
  animation-name: rotate-arrow-180;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
}

@keyframes rotate-arrow-180 {
  0% { transform: rotate(0deg) }
  100% { transform: rotate(180deg) }
}

.rotate-arrow-180-again {
  animation-name: rotate-arrow-again;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
}

@keyframes rotate-arrow-again {
  0% { transform: rotate(180deg) }
  100% { transform: rotate(0deg) }
}